
# Efficient way to structure a translation table.
i18n_table() # {{{1
{
# Notes for translators:
# 1. Apparently the standard xgettext utility doesn't know how to extract
#    strings from calls to 'gettext -es'. Therefore the .pot template is
#    generated with the help of usr/share/doc/findnrun/xgettext.sh.
# 2. From this point on:
#    A. Never use \n **inside** a msgstr. For yad and gtkdialog you can replace
#    \n with \r.
#    B. However, always **end** your msgstr with \n.
#    C. Replace trailing spaces (hex 20) with non-breaking spaces (hex A0).
#
# SPECIFIC RECOMMEDATIONS FOR THIS SCRIPT:
# 3. If possible use the same accelerator letter for S_how and _Hide so the
#    accelerator can work as a toggle button.
#
  {
    read i18n_AppTitle
    read i18n_WinTitle
    read i18n_WinSize
    read i18n_GtksuTitle
    read i18n_invalid_credentials
    read i18n_NAME
    read i18n_SHARE
    read i18n_credentials_help
    read i18n_p2_User_name
    read i18n_p2_Password
    read i18n_Skip
    read i18n_Skip_ttip
    read i18n_Go_to_next_share_for_server
    read i18n_Jump
    read i18n_Jump_ttip
    read i18n_p2_Show
    read i18n_p2_Show_ttip
    read i18n_p2_Hide
    read i18n_p2_Hide_ttip
    read i18n_p2_Enter_credentials
    read i18n_VARS
    read i18n_unckecked_row
    read i18n_unckecked_rows
    read i18n_A_share_could_not_be_mounted
    read i18n_Folder_could_appear_empty
    read i18n_Double_click_customize_entry
    read i18n_Click_to_accept_default
    read i18n_Dclick_to_edit
    read i18n_Load
    read i18n_Save_result
    read i18n_File_save_error
    read i18n_Load_result
    read i18n_File_load_error
    # options dialog
    read i18n_network_configuration_error
    read i18n_Options # title
    read i18n_Shares  # group
    read i18n_Scan    # group
    read i18n_Scan_445
    read i18n_Connect_SMB1
    read i18n_Use_utf8
    read i18n_Scan_another_subnet
    read i18n_Port_scan_timeout
    read i18n_Subnet
    read i18n_Enter_subnet
    read i18n_New_port_scan_timeout
    read i18n_export_You_are_not_connected
    read i18n_Discovery_Stats
    read i18n_Discovery_note
    read i18n_Server
    read i18n_IP
    read i18n_SharesNum
    read i18n_Stats
    read i18n_Stats_ttip
    read i18n_Scanning_Network
    read i18n_Scanning_Networks
    read i18n_p2_Firewalled
    read i18n_p2_this_firewall_enabled
    read i18n_Gathering_Authentications
    read i18n_mount_it
    read i18n_unmount_it
    read i18n_found_no_servers
    read i18n_found_no_shares
    read i18n_final_ask_save_file
    read i18n_disk_icon_incomplete
    read i18n_disk_icons_incomplete
    read i18n_disk_icon_created
    read i18n_disk_icons_created
    read i18n_final_usage
    # Exclusive to scripts/part2
    read i18n_p2_GtksuTitleMount
    read i18n_p2_Could_not_mount
    read i18n_p2_Hints
    read i18n_p2_GtksuTitleUnmount
    read i18n_p2_Could_not_unmount
    # For AppInfo.xml.tpl
    read i18n_SUMMARY
    read i18n_UMOUNT
    read i18n_EDITCONF
    # For /usr/share/applications/FILE.desktop
    read i18n_desktop_Name
    read i18n_desktop_Comment
  } << EOF
  $(gettext -es -- \
  "SMB Browser\n" \
  "SMB Browser\n" \
  "620x400\n" \
  "Scan for SMB Shares\n" \
  "Unknown user name of invalid password. Try again.\n" \
  "%sThe server named \"%s\" seems to need a password. Do you want to store one?\n" \
  "%sThe share named \"%s\" for server \"%s\" seems to need a password. Do you want to store one?\n" \
  "* guest user: leave empty for open access - if the server grants it\r* other users: leave empty to be asked on each mount\n" \
  "_User name\n" \
  "_Password\n" \
  "_Skip\n" \
  "Don't attach this share.\n" \
  "Go to the next share for this server.\n" \
  "_Jump\n" \
  "Go to the next server skipping all remaining shares for this server.\n" \
  "S_how\n" \
  "Show passwords.\n" \
  "_Hide\n" \
  "Hide passwords.\n" \
  "Please enter your credentials to access share '%s' on server '%s'\n" \
  "Attach\tError\tNetworkResource\tMountOptions\tServerName\tFolderName\tServerIP\tUserName\tUserPassword\n" \
  "%d unchecked row.\n" \
  "%d unchecked rows.\n" \
  "A password-protected share couldn't be mounted therefore a local folder won't be created. Check 'Attach' to force creating the folder.\n" \
  "However the folder could appear empty inside due to its attached share being unmounted.\n" \
  "You can double-click an entry to customize options and credentials before you click OK.\n" \
  "Click OK to accept the defaults.\n" \
  "Double-click a cell to edit. Right-click for more options.\n" \
  "_Load\n" \
  "Save scan results to file.\n" \
  "File save error %d\n" \
  "Load scan results from file.\n" \
  "File load error %d\n" \
  \
  "network configuration error\n" \
  "Options\n" \
  "Shares\n" \
  "Scan\n" \
  "Scan on port 445 instead of port 139.\n" \
  "Connect with SMB version 1 by default.\n" \
  "Use the utf-8 character set.\n" \
  "Specify a different subnet to scan...\rcurrent value: %s\n" \
  "Specify the timeout for the port scan...\rcurrent value: %s\n" \
  "Subnet:\n" \
  "Enter a subnet to scan, just the first 3 octets.\rThe local subnet pool is: %s\n" \
  "New timeout for the port scan:\n" \
  \
  "It doesn't seem like you are connected to your network.\rYou need to be on a network to share files.\n" \
  "Discovery Statistics\n" \
  "Discovery results depend on the user names and passwords (credentials) you enter.\n" \
  "Server\n" \
  "IP\n" \
  "Shares\n" \
  "S_tats\n" \
  "View discovery statistics...\n" \
  "Scanning Network...\n" \
  "Scanning Networks...\n" \
  "Firewalled\n" \
  "this system firewall is enabled\n" \
  "Gathering Authentications...\n" \
  "mount it\n" \
  "unmount it\n" \
  "No SMB servers found on the network.\n" \
  "No visible shares found for the credentials you entered.\n" \
  "Save network scan results to a text file that you can tweak and reload. Save '%s'?\n" \
  "Warning: could not complete the disk icon below. It is recommended to delete it.\n" \
  "Warning: could not complete the %d disk icons below. It is recommended to delete them.\n" \
  "Network disk icon created.\n" \
  "%d network disk icons created.\n" \
  "Click icon to mount its share. Right-click icon for more options. Remember to unmount when not in use. Optionally move unmounted icon to another folder but don't duplicate.\n" \
  \
  "Mount SMB Share %s\n" \
  "Could not mount the shared folder '%s'.\n" \
  "Hint: Right-click the disk icon, edit mount settings and re-try.\n" \
  "Unmount SMB Share %s\n" \
  "Could not unmount the shared folder '%s'.\rClose all files open on the shared folder and try again.\n" \
  \
  "SMB share\n" \
  "Unmount %s\n" \
  "Edit Mount Settings...\n" \
  \
  "SMB Browser.\n" \
  "Discover and mount SMB shares in ROX-Filer.\n" \
  )
EOF
}

